LINUX.ORG.RU

Ответ на: комментарий от mopsene

linux-p1on:~ # zypper se kernel | grep header
linux-p1on:~ # uname -a
Linux linux-p1on 2.6.34-12-desktop #1 SMP PREEMPT 2010-06-29 02:39:08 +0200 x86_64 x86_64 x86_64 GNU/Linux
linux-p1on:~ #

Deleted ()
Ответ на: комментарий от registrant

linux-p1on:~ # zypper se kernel | grep header
Error building the cache:
[|] Repository type can't be determined.
Error building the cache:
[|] Repository type can't be determined.
linux-p1on:~ #

Deleted ()
Ответ на: комментарий от registrant

linux-p1on:~ # zypper ls
# | Alias | Name | Enabled | Refresh | Type ---+----------------------------------------+----------------------------------------+---------+---------+-------
1 | apache | packman-essentials | Yes | No | rpm-md
2 | openSUSE-11.3 11.3-1.82 | openSUSE-11.3 11.3-1.82 | Yes | No | yast2
3 | packman-essentials | packman-essentials | Yes | No | rpm-md
4 | packman-multimedia | packman-multimedia | Yes | No | rpm-md
5 | packman-multimedia_11.2 | packman-multimedia | Yes | No | rpm-md
6 | packman-multimedia_11.3 | packman-multimedia | Yes | No | rpm-md
7 | packman-multimedia_12.1 | packman-multimedia | Yes | Yes | rpm-md
8 | packman_11.1 | packman | Yes | No | rpm-md
9 | packman_11.2 | packman | Yes | No | rpm-md
10 | packman_11.3 | packman | Yes | No | rpm-md
11 | packman_11.4 | packman | Yes | No | rpm-md
12 | packman_12.1 | packman | Yes | Yes | rpm-md
13 | packman_factory | packman | Yes | No | rpm-md
14 | packman_tumbleweed | packman | Yes | No | rpm-md
15 | repo-debug | openSUSE-11.3-Debug | No | Yes | NONE
16 | repo-non-oss | openSUSE-11.3-Non-Oss | Yes | Yes | yast2
17 | repo-oss | openSUSE-11.3-Oss | Yes | Yes | yast2
18 | repo-source | openSUSE-11.3-Source | No | Yes | NONE
19 | repo_build | packman-essentials | Yes | No | NONE
20 | repositoriees_packman | packman | Yes | No |
NONE 21 | Обновления для openSUSE 11.3 11.3-1.82 | Обновления для openSUSE 11.3 11.3-1.82 | Yes | Yes | rpm-md
linux-p1on:~ #

Deleted ()
Ответ на: комментарий от Deleted

ну и помойка )

судя по всему, какая-то из реп дохлая (URL кривой или типа того). поотрубай все кроме repo-oss, kernel-desktop-devel там лежит

registrant ★★★★★ ()
Ответ на: комментарий от registrant

linux-p1on:~ # zypper se kernel | grep header
linux-p1on:~ # zypper ls
# | Alias | Name | Enabled | Refresh | Type --+----------------------------------------+----------------------------------------+---------+---------+-------
1 | repo-oss | openSUSE-11.3-Oss | Yes | Yes | yast2
2 | repo-source | openSUSE-11.3-Source | No | Yes | NONE
3 | Обновления для openSUSE 11.3 11.3-1.82 | Обновления для openSUSE 11.3 11.3-1.82 | Yes | Yes | rpm-md
linux-p1on:~ #

Deleted ()
Ответ на: комментарий от registrant

linux-p1on:~ #
linux-p1on:~ # zypper in kernel-desktop-devel
Loading repository data...
Warning: Repository 'Обновления для openSUSE 11.3 11.3-1.82' appears to outdated. Consider using a different mirror or server.
Reading installed packages...
Resolving package dependencies...

The following NEW packages are going to be installed:
kernel-desktop-devel kernel-devel

2 new packages to install.
Overall download size: 13.4 MiB. After the operation, additional 40.5 MiB will be used.
Continue? [y/n/?] (y): y
Retrieving package kernel-devel-2.6.34.10-0.6.1.noarch (1/2), 7.0 MiB (33.6 MiB unpacked)
Retrieving: kernel-devel-2.6.34.10-0.6.1.noarch.rpm [done (357.3 KiB/s)]
Installing: kernel-devel-2.6.34.10-0.6.1 [done]
Retrieving package kernel-desktop-devel-2.6.34.10-0.6.1.x86_64 (2/2), 6.4 MiB (6.9 MiB unpacked)
Retrieving: kernel-desktop-devel-2.6.34.10-0.6.1.x86_64.rpm [done (322.1 KiB/s)]
Installing: kernel-desktop-devel-2.6.34.10-0.6.1 [done]
linux-p1on:~ #

Установился 2.6.34.10 а мне нужно 2.6.34.12-desktop
Нужно для сборки модуля для данного ядра.

Deleted ()
Ответ на: комментарий от Deleted

Скачал kernel-desktop-devel-2.6.34-12.3.x86_64.rpm при установке выдаёт следующее.
http://s019.radikal.ru/i600/1203/26/a812958ec79a.png


linux-p1on:~ #
linux-p1on:~ # zypper se kernel | grep header
| linux-kernel-headers | Linux Kernel Headers | srcpackage

linux-p1on:~ # zypper ls # | Alias | Name | Enabled | Refresh | Type ---+----------------------------------------+----------------------------------------+---------+---------+-------

1 | debug_11.1 | packman | Yes | No | yast2
2 | debug_11.2 | packman | Yes | No | yast2
3 | debug_11.3 | packman | Yes | No | yast2
4 | debug_11.4 | packman | Yes | No | yast2
5 | non_oss_11.1 | packman | Yes | No | yast2
6 | non_oss_11.2 | packman | Yes | No | yast2
7 | non_oss_11.3 | packman | Yes | No | yast2
8 | non_oss_11.4 | packman | Yes | No | yast2
9 | repo-oss | openSUSE-11.3-Oss | Yes | Yes | yast2
10 | repo-source | openSUSE-11.3-Source | No | Yes | NONE
11 | src_11.1 | packman | Yes | No | yast2
12 | src_11.2 | packman | Yes | No | yast2
13 | src_11.3 | packman | Yes | No | yast2
14 | src_11.4 | packman | Yes | No | yast2
15 | update_11.1 | packman | Yes | No | rpm-md
16 | update_11.2 | packman | Yes | No | rpm-md
17 | update_11.3 | packman | Yes | No | rpm-md
18 | update_11.4 | packman | Yes | No | rpm-md
19 | Обновления для openSUSE 11.3 11.3-1.82 | Обновления для openSUSE 11.3 11.3-1.82 | Yes | Yes | rpm-md
linux-p1on:~
# linux-p1on:~ #

Deleted ()
Ответ на: комментарий от Deleted

Почему 11.3? Ставьте 11.4, а 12.1 не советую. В любом случае, независимо от версии, с такой помойкой жить нельзя! Удалите любым удобным способом все репозитории, а затем сделайте следующее:

# zypper clean

# zypper ar download.opensuse.org/distribution/11.3/repo/oss/ oss

# zypper ar download.opensuse.org/distribution/11.3/repo/non-oss/ non-Oss

# zypper ar download.opensuse.org/source/distribution/11.3/repo/oss/ oss-source

# zypper ar download.opensuse.org/update/11.3/ update

# zypper ar download.opensuse.org/repositories/graphics/openSUSE_11.3/ graphics

# zypper ar ftp5.gwdg.de/pub/linux/misc/packman/suse/openSUSE_11.3/ packman

# zypper ref

# zypper in kernel-syms

Ещё много всяких интересных репозиториев вы можете найте сдесь: http://download.opensuse.org/repositories/ (прописываются аналогично, имена — последнее слово в строке, можно указывать произвольно). Пишите свою версию, не мешайте пакеты из разных дистрибутивов. И не прописывайте очень много репозиториев — только самое необходимое, не больше 10-12 сверх выше-приведённых, то, что слишком устарело в текущем дистрибутиве, и является «вещью в себе» — KDE, Gnome, LO, TeX и т.д. Также не следует черезмерно насиловать системный софт: библиотеки, ядра, загрузочные скрипты и т.п. — если в этом есть острая необходимость, то лучше установить более свежий дистрибутив, в противном случае получите винегрет, и как следствие нестабильную работу системы, вплоть до полной неработоспособности.

anonymous ()
Ответ на: комментарий от Deleted

Скачал kernel-desktop-devel-2.6.34-12.3.x86_64.rpm при установке выдаёт следующее.

нахрена качать? обновись и все. если уж ручками хочешь, качай тогда и зависимости - kernel-devel той же версии

registrant ★★★★★ ()
Ответ на: комментарий от registrant

Источники добавил.
Через установку программ, пытаюсь найти devel нужного ядра, его нету (
Если обновлять систему. то разве не установится ядрышко повыше того, которое мне нужно?
Повторяюсь, мне нужны хидеры именно для ядра 2.6.34-12-desktop мне на нём нужно протестировать работу модуля, по работе.

Deleted ()
Ответ на: комментарий от Deleted

Повторяюсь, мне нужны хидеры именно для ядра 2.6.34-12-desktop мне на нём нужно протестировать работу модуля, по работе.

Так сделайте всё, как я указал вам выше. Вы не ответили, через:

# zypper ar http://download.opensuse.org/distribution/11.3/repo/oss/ oss

работает? Вобще-то оно должно и через:

# zypper ar download.opensuse.org/distribution/11.3/repo/oss/ oss

работать, если-же нет, то видимо у вас что-то в настройках zypper или сети понакручено.

anonymous ()
Ответ на: комментарий от Deleted

Но всёравно там нет нужных мне хидеров (

Разумеется! В дистрибутиве 11.3 нет ядра версии 2.6.34-12-desktop, последнее там http://download.opensuse.org/update/11.3/rpm/i586/kernel-desktop-devel-2.6.34... Если вам необходимо именно 2.6.34-12-desktop-devel, то ищите там, откуда вы устанавливали ядро, или (что гораздо лучше) — откатитесь на последнее родное дистрибутивное 2.6.34.10, и хидеры установите прямо из репозитория.

anonymous ()
Ответ на: комментарий от Deleted

мне нужны хидеры именно для ядра 2.6.34-12-desktop

это версия, которая идет в дистрибутиве. репа с обновлениями не нужна, достаточно oss. отключи все кроме oss. можно в установке программ внизу справа выбрать закладку «версии» и руками переключить все kernel-* на 2.6.34-12. в поиске вбей kernel, а потом на вкладке «версии» переключи

registrant ★★★★★ ()
Ответ на: комментарий от registrant

Спасибо за помощь) во всём разобрался.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.